#!/usr/bin/php
<?

/***************************************************************************************
 *											*
 *   	Copyright 2006 by Davide Simoncelli                                      	*
 *   	Email: netcelli_gentoo at users dot sourceforge dot net                      	*
 *                                                                         		*
 *   	This program is free software; you can redistribute it and/or			*
 *	modify it under the terms of the GNU General Public License			*
 *	as published by the Free Software Foundation; either version 2			*
 *	of the License, or (at your option) any later version.				*
 *											*
 *	This program is distributed in the hope that it will be useful,			*
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of			*
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the			*
 *	GNU General Public License for more details.					*
 *											*
 *	You should have received a copy of the GNU General Public License		*
 *	along with this program; if not, write to the Free Software			*
 *	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.	*	
 *											*
 ****************************************************************************************/

error_reporting(E_ALL);

$helps = array(
"hub_name"=>"The name of your hub","hub_desc"=>"A description of your hub","hub_host"=>"What people will use to connect to your hub. (An example: myhub.no-ip.com)","hub_owner"=>"Owner that runs the hub","hub_security"=>"This is the name of the Hub Security bot","hub_security_desc"=>"This is the description of the Hub Security bot","opchat_name"=>"This is the name of the OpChat bot","opchat_desc"=>"This is the description of the OpChat bot","show_tags"=>"Show tags to users? 0=hide from all, 1=show tags, 2=show tags to OPs only. Default=2","listen_port"=>"The port the hub listens on. Other hubs use port 411, but you need to run verlihub as root to do that. Default=4111","extra_listen_ports"=>"Extra ports the hub listens on","listen_ip"=>"If you have more than one network card in your PC, enter the IP address to listen on. If you don't have more than one network card, no change is necessary","dns_lookup"=>"Reverse DNS lookup when user joins. Needed to see hostmask of user. If you have a slow DNS server this can slow down the hub","max_users"=>"Maximum number of users allowed in your hub","max_upload_kbps"=>"Maximum upload speed hub is allowed to use. This is VERY useful for protecting the hub against lag in larger hubs. Setting the right limit will prevent the hub from being to accept more then it can handle at any given time thus preventing a backlog of actions","min_frequency"=>"Somewhat automatic antilag system, higher values will allow lower lag; 0 means disabled. Largest usable value is 3. Normal values would be between 0.1 and 1.5. If you want to try to break records, set to 0 (though it's not recommended.) Keep in mind that the lower this value is, the less extra resources the hub has to help deal with any backlog of actions. Recommend you leave this as default","min_class_use_hub"=>"Setting this variable to a number of class will prevent a user from being able to download if their class is below the set limit. This will over-ride the next variable below if not 0","min_class_use_hub_passive"=>"The same as above only this one is specifically for passive users","min_nick"=>"Minimum nickname length. Default of 3","max_nick"=>"Maximum nickname length","nick_chars"=>"Allowed characters in username","nick_prefix"=>"To force a connecting user to have a prefix before their nick, example: [GOD] will tell all connecting users to set their nick as [GOD]nickname","nick_prefix_cc"=>"Explained above but used when cc zones have been defined","min_share"=>"Minimum amount that people must share in your hub in megabytes. People that share less will not be allowed to join","min_share_reg"=>"If you want your registered users to have a different minimum share level, use this",
"min_share_vip"=>"If you want your VIP users to have a different minimum share level, use this","min_share_ops"=>"If you want your OPs to have a different minimum share level, use this","min_share_factor_passive"=>"Multiplication factor for the minimum share of passive users (a setting of 2.0 means passive have to share twice the min_share setting)","min_share_use_hub"=>"If this is higher then min_share then users that have less then this will not be able to search and download, but will be allowed to join the hub","max_share"=>"If you want to prevent users from sharing too much, enter the max allowed to share in MB","max_share_reg"=>"If you want to prevent registered users from sharing too much, enter the max allowed to share in MB","tban_kick"=>"Length of time people must wait after being kicked to rejoin. In seconds. Default=300 seconds","tban_max"=>"Maximum length of time an OP can ban someone for. In seconds","hide_all_kicks"=>"Hides all kick messages from users","int_login"=>"Number of seconds user has to wait after disconnection before being allowed to reconnect","send_user_info"=>"When people join, the hub will send them information about themselves. Set to 0 (zero) to disable, or 1 to enable. Default=On","send_user_ip"=>"When people join, the hub will send them their IP address. Set to 0 (zero) to disable, or 1 to enable. Default=On","nicklist_on_login"=>"Show nicklist when users log in","allways_ask_password"=>"Always ask users for a password, whether they are registered or not",
"chat_default_on"=>"Enable the chat window by default. 1=yes, 0=no. If no, users need to use !chaton to get messages","msg_chat_onoff"=>"","msg_change_pwd"=>"You can customize your user's change password message by putting a message in this variable","msg_banned"=>"You can customize the error message that indicates the user is banned by putting a message in this variable","msg_hub_full"=>"You can customize the error message that indicates the hub is full by putting a message in this variable","msg_nick_prefix"=>"","msg_downgrade"=>"You can customize the error message that indicates the client is too new by putting a message in this variable","msg_upgrade"=>"You can customize the error message that indicates the client is outdated by putting a message in this variable","msg_replace_ban"=>"","msg_welcome_guest"=>"If you want to welcome your Class 0 members, fill in a welcome message here. Use %[nick] to use the person's nickname in the message","msg_welcome_vip"=>"If you want to welcome your registered members, fill in a welcome message here. Use %[nick] to use the person's nickname in the message","msg_welcome_vip"=>"If you want to welcome your VIP members, fill in a welcome message here. Use %[nick] to use the person's nickname in the message","msg_welcome_op"=>"If you want to welcome your OPs, fill in a welcome message here. Use %[nick] to use the person's nickname in the message","msg_welcome_cheef"=>"If you want to welcome your Cheef OPs, fill in a welcome message here. Use %[nick] to use the person's nickname in the message","msg_welcome_admin"=>"If you want to welcome your Admin OPs, fill in a welcome message here. Use %[nick] to use the person's nickname in the message","msg_welcome_master"=>"If you want to welcome your Master user, fill in a welcome message here. Use %[nick] to use the person's nickname in the message","max_extra_regs"=>"If the hub is full, allow this many more extra registered users to join","max_extra_vips"=>"If the hub is full, allow this many more extra vip users to join","max_extra_ops"=>"If the hub is full, allow this many more OPs to join",
"max_extra_admins"=>"If the hub is full, allow this many more Admin OPs to join","hublist_host"=>"","hublist_port"=>"","hublist_send_minshare"=>"When set to 1, a minimum share field is added automatically to the hublist registration description","timer_hublist_period"=>"Number of seconds between two hublists registrations","redir_host_max"=>"Set this to 0 (zero) and redir_host0 to your hub's DNS name to disable redirection","redir_host0"=>"Enter hosts to redirect to in case users aren't allowed in your hub, or leave them blank. Dont forget to update redir_host_max if u decide not to leave these blank","redir_host1"=>"","redir_host2"=>"","redir_host3"=>"","redir_host4"=>"","redir_host5"=>"","redir_host6"=>"","redir_host7"=>"","redir_host8"=>"","redir_host9"=>"","int_search"=>"Minimum number of seconds user has to wait before being allowed to search again","int_search_reg"=>"Minimum number of seconds registered users have to wait before being allowed to search again","min_search_chars"=>"Minimum number of characters allowed in a search. (This can be a useful means of controlling wildcard searches such as 'mp3' which for a passive user would return thousands upon thousands of search results back through the hub","max_passive_sr"=>"Maximum number of search responses a passive user is allowed to recieve. This is useful for lag and bandwidth control since passive users totally rely on the hub to return search results","tag_allow_none"=>"Allow clients to NOT report a tag? 1=yes, 0=no. Yes by default","tag_sum_hubs"=>"The count of numbers to sum and use as the HUBS count from the H:X/Y/Z part of tag","tag_min_class_ignore"=>"Which lowest class users are not to be checked for tags","tag_max_hs_ratio"=>"Enter the minimum hub/slot ratio here. Users that are below this are refused connections to the hub. For example, setting to 1 means user needs to have 1 slot open per hub","tag_max_hubs"=>"Set this to restrict how many hubs your user can be in concurrently","tag_min_version_plusplus"=>"Use the _min_version_ tags to specify a minimum version for the client allowed in the hub","tag_min_version_dcgui"=>"","tag_min_version_odc"=>"","tag_min_version_dc"=>"","tag_min_version_dcpro"=>"","tag_min_version_strongdc"=>"","tag_min_version_idc"=>"","tag_min_version_zdc"=>"","tag_max_version_plusplus"=>"Use the _max_version_ tags to specify a maximum version for the client allowed in the hub","tag_max_version_dcgui"=>"","tag_max_version_odc"=>"","tag_max_version_dc"=>"","tag_max_version_dcpro"=>"","tag_max_version_strongdc"=>"","tag_max_version_idc"=>"","tag_max_version_zdc"=>"","tag_allow_sock5"=>"We all know what a socks connection is, this can prevent a user connecting to your hub using such a method if set to 0","cc_zone1"=>"Enter the countries for the first country code zone. The format is `:XX:YY:ZZ:`. It has to start and end with a colon, and all country codes are separated by colons. There can be any number of codes (example codes: CZ; UK; US; SE. NOTE: These need to be capitalized!)","cc_zone2"=>"Enter the countries for the second country code zone. The format is `:XX:YY:ZZ:`. It has to start and end with a colon, and all country codes are separated by colons. There can be any number of codes (example codes: CZ; UK; US; SE. NOTE: These need to be capitalized!)","cc_zone3"=>"Enter the countries for the third country code zone. The format is `:XX:YY:ZZ:`. It has to start and end with a colon, and all country codes are separated by colons. There can be any number of codes (example codes: CZ; UK; US; SE. NOTE: These need to be capitalized!)","max_users0"=>"If a user joins that doesn't belong in the Country Code list specified below, this user limit applies","max_users1"=>"User limit that applies to cc_zone1","max_users2"=>"User limit that applies to cc_zone2","max_users3"=>"User limit that applies to cc_zone3","ip_zone4_min"=>"If you want to restrict users by IP address, enter the minimum IP address for the first IP zone here. (Verlihub allows you to define 3 IP zones.)","ip_zone4_max"=>"If you want to restrict users by IP address, enter the maximum IP address for the first IP zone here. (Verlihub allows you to define 3 IP zones.)","ip_zone5_min"=>"If you want to restrict users by IP address, enter the minimum IP address for the second IP zone here. (Verlihub allows you to define 3 IP zones.)","ip_zone5_max"=>"If you want to restrict users by IP address, enter the maximum IP address for the second IP zone here. (Verlihub allows you to define 3 IP zones.)","ip_zone6_min"=>"If you want to restrict users by IP address, enter the minimum IP address for the third IP zone here. (Verlihub allows you to define 3 IP zones.)","ip_zone6_max"=>"If you want to restrict users by IP address, enter the maximum IP address for the third IP zone here. (Verlihub allows you to define 3 IP zones.)","max_users0"=>"If a user joins that doesn't belong in the IP range specified below, this user limit applies","max_users4"=>"User limit that applies to ip_zone4_*","max_users5"=>"User limit that applies to ip_zone5_*","max_users6"=>"User limit that applies to ip_zone6_*","cmd_start_user"=>"The prefix for user commands. Default '+'","cmd_start_op"=>"Prefix for OP commands. Default '!'","report_dns_lookup"=>"This will report to opchat by default the results of a reverse dns lookup","max_message_size"=>"This will over-ride the earlier mentioned flood control settings if set correctly. Works in bytes i.e. 1024 bytes of data allowed in a single message default is 10240 allowing a huge message. This applies to ALL classes including master (class 10)","int_chat_ms"=>"This is the time period between each message a user can send to mainchat. A value of 1000 would make a user wait 1 second at least before he can send another message to mainchat. Can be used for flood control","show_email"=>"Set this to 0 if you wish to optimise your nicklist by removing all email fields. Set to -1 to disable and show all email addresses that user specify in their client settings","show_speed"=>"See show_email","show_share"=>"See show_email","show_desc_len"=>"The same as the show_email variable except with this you can specify a number of characters that are allowed. i.e. 10 would allow a user description length of 10 characters. -1 to disable and show entire description","int_nicklist 	A value of 30 by default meaning a user can only request a nicklist update once every 30 secs, useful for lag and bandwidth control","desc_insert_mode"=>"Insert 'A', 'P', or '5' into user's description ? (1 = yes/0 = no) A meaning Active P meaning passive and 5 meaning a socks connection type","use_reglist_cache"=>"Set to default by one Verlihub will cache the entire reglist for query upon entry to the hub. If this is turned on then any external apps used for adding users directly into the database will not be known in the reglist cache until either !reload is typed in the hub or the hub reloads its own config variables, a time setting which can be manipulated","use_penlist_cache"=>"The exact same as use_reglist_cache but this one deals with the banlist and kicklist and temp rights","save_lang"=>"Set to 1 to enable multi-language. See this guide for more details and rememeber to turn it off after you have saved the lang as described in the guide earlier","timer_conn_period"=>"It's probably best that you do not mess with this variable as it does not really effect performance in the way people seem to think it does","timer_serv_period"=>"It's probably best that you do not mess with this variable as it does not really effect performance in the way people seem to think it does","timer_reloadcfg_period"=>"This is a time setting in seconds that tells verlihub to reload its settings and reglist and banlist cache from the database. Default is 300 seconds (5 minutes) meaning every 5 minutes verlihub will reload the database","delayed_search"=>"Set to 1 by default this will impose an initial delay specified by int_search on a connecting user. Useful for search bots that search spam hubs","delayed_myinfo"=>"The same as delayed_search, See int_myinfo for a better description","step_delay"=>"Do not mess with this setting unless you know what you are doing","bc_repl"=>"When you set to disable (disable), then the !bc commands don't send you away replies from all back to your PM","log_level"=>"5 log level settings 0 being disabled 1 being slight 2 3 4 5 etc etc where 5 logs everything it can log. Use with caution and only when debugging as this feature can significantly impact resources","check_ctm"=>"By default this is set to 1 which will force the hub to varify a connecting active users connection (make sure he is who he claims to be) 0 to disable this check (WARNING: setting to 0 means people can use your hub to generate what is known as a ctm flood, to attack other hubs or even your own). There used to be 3 levels for this, there is no longer, its either on or off theres no inbetween. When on if a user cannot be varified he/she will be disconnected from the hub","check_rctm"=>"The same as above but for passive users","check_asearch"=>"Performs the same as check_ctm only this one will kick in when a user searches, meaing if check_ctm is disabled a users ctm will be checked when he attempts a search. See check_ctm for better description","optimize_userlist"=>"Set this to 1 if you wish to upload the userlist more slowlier to users upon connecting. How slowly is determined by the next variable below","ul_portion"=>"See optimize_userlist","int_flood_pm_period"=>"A means of flood control only this one applies to private messages. This is a time setting in seconds and will measure how many private messages you are trying to send a user over a given time period specified here","int_flood_pm_limit"=>"This setting is a numerical value. Example: value of 2 will disconnect a user if they try to spam another more then twice in quick succession","timeout_myinfo"=>"Genrally you should leave this at its default setting. Its self explanitory","hub_version"=>"This is a hard value determined by the source code. If you change it then upon next restart the hub will change it back again","hub_version_special"=>"You can specify an extra version string here that will be appended to the hard coded version string of the hub","classdif_reg"=>"This value is somewhat confusing for many. Lets explain it with an example. When set to the value of 2 a user can only register another user that is maximum 2 classes below him/her","classdif_kick"=>"See classdif_reg","classdif_download"=>"See classdif_reg","classdif_pm"=>"See classdif_reg","min_class_register"=>"This is self explanitory. If you set this to 3 then it will over-ride any other settings and ONLY OPS or higher will be able to register a new user","min_class_bc"=>"This setting is again self explanitory, a setting of 5 means only admins can send broadcast messages","min_class_bc_regs"=>"See min_class_bc. The regs extension is referring to registered users. This over-rides the value above when set","min_class_redir"=>"Self explanitory. Applies to manually redirect users from your hub","dest_report_chat"=>"This setting is the output of the +report command. By default all +reports will be shown in opchat","dest_regme_chat"=>"See dest_report_chat. Applies to the +regme command",
"dest_drop_chat"=>"See dest_report_chat. Applies to users who are dropped from the hub by other users i.e. OP's who use the !drop command","default_password_encryption"=>"The ecryption method which will be used (if available) to encrypt passwords that will be set. Effective immediately. (1 - ENCRYPT (default), 0 - not encrypted - plain text, 2 - MD5). If given method is not available, another encryption method is used or at worst the plain text password is stored","timeout_key"=>"timeout (in seconds) from the connection until the first response","timeout_nick"=>"timeout (seconds) from the key response, until the reception of nick","timeout_myinfo"=>"timeout (seconds) - from the nick until the myinfo (description, share, tags,etc..)","timeout_flush"=>"timeout (seconds) (reserved, not used)","timeout_login"=>"timeout (seconds) from the connection until the appearance in the userlist","timeout_setpass"=>"timeout (seconds) from login until user sets his/her initial password","max_class_int_login"=>"maximal class that get int_login seconds long tempban on every login (this is added mainly for debugging purpose)","mainchat_class"=>"The minimum class that can use the mainchat","topic_mod_class"=>"The minimum class that can set the hub topic","plugin_mod_class"=>"The minimum class that can issue plugin commands","trigger_mod_class"=>"The minimum class that can issue trigger moderation commands","disable_regme_cmd"=>"Set this to 1 to prevent people using the +regme command","disable_me_cmd"=>"See disable_regme_cmd","disable_usr_cmds"=>"Set this to 1 to temporarily disable all + commands for users below class 1","max_class_int_login"=>"maximal class that get int_login seconds long tempban on every login (this is added mainly for debugging purpose)");

$conn = mysql_connect($argv[1],$argv[2],$argv[3]);
mysql_select_db($argv[4],$conn);
mysql_query("ALTER TABLE `SetupList` ADD `help` TEXT NOT NULL");

foreach ($helps as $var => $help)
{
	mysql_query("UPDATE SetupList set help='$help' where var='$var' and file='config'");
}

?>






